void player_move_right(SceneGraphPtr node, int screen_w, int screen_h);
void player_move_left(SceneGraphPtr node, int screen_w, int screen_h);
void player_move_up(SceneGraphPtr node, int screen_w, int screen_h);
void player_move_down(SceneGraphPtr node, int screen_w, int screen_h);
void player_move_idle(SceneGraphPtr node);
void player_move_all(SceneGraphPtr node, int screen_w, int screen_h);
void player_collision(SceneGraphPtr node, int screen_w, int screen_h ,SceneGraphPtr tree);
